package eu.simstadt.nf4j;

import java.io.File;

/**
 * Implementations of this interface are known to implement import job descriptions. 
 * 
 * @author Marcel Bruse
 */
public interface ImportJobDescriptor extends JobDescriptor {
	
	/**
	 * Sets the CityGML file which is supposed to be imported by the nF.
	 * 
	 * @param file The CityGML file which is supposed to be imported by the nF.
	 */
	public void setCityGMLFile(File file);
	
	/**
	 * @return Returns the CityGML file which is supposed to be imported by the nF.
	 */
	public File getCityGMLFile();
	
}
