package eu.simstadt.nf4j;

/**
 * Every instance of this class describes an export or import job for the novaFACTORY. Instances of JobBuilder
 * take JobDescriptions and build XML export and import job files out of it.
 * 
 * @author Marcel Bruse
 */
public interface JobDescriptor {

	/**
	 * @return The supported version of the XML import or export job format.
	 */
	public String supportsJobVersion();
	
	/**
	 * @return Returns true, if the job description is complete and correct. False, otherwise.
	 */
	public boolean isValid();
	
}
