package eu.simstadt.nf4j.async;

/**
 * This enumeration lists some of the "well known texts" (WKT) which are used to identify
 * coordinate reference systems (CRS).
 * 
 * @author Marcel Bruse
 *
 */
public enum CRSWKT {
	
	EPSG_31467("EPSG:31467"),	// DHDN Gauss-Kruger zone 3
	EPSG_4326("EPSG:4326");		// WGS 84

	/** The well known texts for a CRS. */
	public String wkt;
	
	/** Constructor for well known texts. */
	private CRSWKT(String wkt) {
		this.wkt = wkt;
	}
	
}
