package eu.simstadt.nf4j.async;

import java.util.EventListener;

/**
 * Your main application may become a job status listener in order to get updates about the status changes of its
 * ongoing jobs. Job listeners of asynchronous export and import jobs will receive event objects for most of the
 * job status' listed in the job status enumeration.
 * 
 * @author Marcel Bruse
 */
public interface JobStatusListener extends EventListener {
	
	/**
	 * This callback method will be called by your asynchronous export and import jobs during their send, poll
	 * and download operations in order to keep you updated about job status changes.  
	 * 
	 * @param event The latest job status event for one of your export or import jobs. 
	 */
	public void jobStatusChanged(JobStatusEvent event);

}
